Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.importer
Interface IImporterManager

All Known Implementing Classes:
  ImporterManager

    public interface IImporterManager

Method Summary
`String` | `getFormatedTimeElapsed()`
`ImporterConfig` | `getImporterConfig()`
`List<IImporterProcessor>` | `getImporters()`
`List<ImporterStatusDto>` | `getStatusDtoList()`
`long` | `getTimeElapsed()`
`void` | `importAll()` synchronized method to Import all the GisFeatures according the `ImporterConfig` and the several importers define in the applicationContext-geoloc file.
`boolean` | `isAlreadyDone()`
`boolean` | `isInProgress()`
`List<String>` | `resetImport()` /!

Method Detail

### importAll

    void importAll()

  synchronized method to Import all the GisFeatures according the `ImporterConfig` and the several importers define in the applicationContext-geoloc file.

### getImporterConfig

    ImporterConfig getImporterConfig()

  Returns:
    the importerConfig

### getImporters

    List<IImporterProcessor> getImporters()

  Returns:
    the importers

### isInProgress

    boolean isInProgress()

  Returns:
    Wether an import is in Progress

### isAlreadyDone

    boolean isAlreadyDone()
                          throws ImporterMetaDataException

  Returns:
    Wether the import has already been done (error or successful)
  Throws:
    `ImporterMetaDataException`

### getTimeElapsed

    long getTimeElapsed()

  Returns:
    the time the last import took. If the import is in progress, returns the time it took from the beginning. If the import has not been started yet return 0.

### getFormatedTimeElapsed

    String getFormatedTimeElapsed()

  Returns:
    The human readable elapsed time .

### resetImport

    List<String> resetImport()
                             throws Exception

  /!\ USE THIS METHOD VERY CAREFULLY /!\ : If you call this function, all the imported data will be deleted clear all the tables with GisFeature (and subclass, adm, languages, country,...), delete alternatenames, delete all the fulltext search engine entries, in order to re-run a new import from scratch

  Returns:
    a list with the SQL Errors and warnings. note that you can have warning but the reset can be successful
  Throws:
    `Exception`

### getStatusDtoList

    List<ImporterStatusDto> getStatusDtoList()

  Returns:
    a list of DTO for each importers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.